using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Publishmentation
{
    public partial class NewManger : Form
    {
        public NewManger()
        {
            InitializeComponent();
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }
        FormCollection frm = new FormCollection();
        SqlDataReader dataReader;
        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox3.Text != "" && textBox2.Text == textBox3.Text)
            {
                Connector connection = new Connector();
                try
                {
                    connection.connect();
                    dataReader = connection.select("select userName from usertable where userName='" + textBox1.Text + "'");
                    if (!dataReader.Read()&&textBox1.Text!="")
                    {
                        connection.disConnect();
                        connection.updateCommand("insert into userTable values('" + textBox1.Text
                            + "','" + textBox2.Text + "')");
                        MessageBox.Show("!ثبت مدیر جدید با موفقیت انجام شد", "اعمال تغییرات", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        this.Close();
                        return;
                    }
                    else
                    {
                        MessageBox.Show("!این نام کاربری غیر مجاز است", "خطا در ورود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        textBox1.SelectAll();
                        textBox1.Focus();
                        textBox2.Text = "";
                        textBox3.Text = "";
                        return;
                    }
                }
                finally
                {
                    connection.disConnect();
                }
            }
            else
            {
                MessageBox.Show("!رمز عبورهای جدید درست نمی باشند", "خطا در ورود اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            
        }

        private void NewManger_FormClosed(object sender, FormClosedEventArgs e)
        {
            frm["Form1"].Enabled = true;
            frm["Form1"].Show();
            frm["Form1"].Focus();
        }

        private void NewManger_Load(object sender, EventArgs e)
        {
            frm = Application.OpenForms;
        }
    }
}